import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 * Write a description of class Game here.
 * 
 * @author Taylor Born
 * @version September 2010
 */
public class Game  extends World
{
    private Logo myLogo = new Logo();
    private boolean started = false;
    
    public Game()
    {    
        super(400, 300, 1);
        GreenfootImage back = new GreenfootImage(400, 300);
        back.fill();
        setBackground(back);
        CodeKeyUser.enter();
        AI.initialize();
        Greenfoot.start();
    }
    public void act()
    {
        if (!started && Greenfoot.mouseMoved(this))
        {
            addObject(myLogo, 200, 150);
            started = true;
        }
        if (myLogo != null)
            if (myLogo.done())
            {
                removeObject(myLogo);
                myLogo = null;
                setBackground(new GreenfootImage("back.jpg"));
                addObject(new Board(), 200, 150);
            }
    }
}