import greenfoot.*;
/**
 * Write a description of class Piece here.
 * 
 * @author Taylor Born
 * @version September 2010
 */
public class Piece  
{
    private Point loc;
    private int type;
    private int player;
    private GreenfootImage pic;
    
    public Piece(int t, int p)
    {
        type = t;
        player = p;
        pic = new GreenfootImage(p + "" + t + ".png");
    }
    public Piece(Piece p, Point pt)
    {
        type = p.getType();
        player = p.getPlayer();
        loc = pt;
    }
    public Point getLoc()
    {
        return loc;
    }
    public void setLoc(Point p)
    {
        loc = p;
    }
    public int getType()
    {
        return type;
    }
    public int getPlayer()
    {
        return player;
    }
    public GreenfootImage getPic()
    {
        return pic;
    }
    public void promote(int t)
    {
        type = t;
        pic = new GreenfootImage(player + "" + t + ".png");
    }
}